Name:           google-gson
Version:        2.8.6
Release:        %mkrel 1
Group:          Development/Java
Summary:        Java lib for conversion of Java objects into JSON representation
License:        ASL 2.0
URL:            https://github.com/google/gson
Source0:        https://github.com/google/gson/archive/gson-parent-%{version}.tar.gz

# PR sent upstream: https://github.com/google/gson/pull/1770
Patch0: 0001-Update-to-latest-version-of-bnd-maven-plugin.patch

# Internal packages are naughtily used by other packages in Fedora
Patch1: 0002-Also-export-internal-packages-in-OSGi-metadata.patch

Patch2: 0003-Allow-building-on-Java-8.patch

# Remove dependency on unavailable templating-maven-plugin
# Reverts upstream commit https://github.com/google/gson/commit/d84e26d
Patch3: 0004-This-commit-added-a-dependency-on-templating-maven-p.patch

BuildArch:      noarch

BuildRequires:  maven-local
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(org.apache.felix:maven-bundle-plugin)

%description
Gson is a Java library that can be used to convert a Java object into its
JSON representation. It can also be used to convert a JSON string into an
equivalent Java object. Gson can work with arbitrary Java objects including
pre-existing objects that you do not have source-code of.

%package javadoc
Summary:        API documentation for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n gson-gson-parent-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

# remove unnecessary dependency on parent POM
%pom_remove_parent

# presence of these files breaks builds with Java 8, see also Patch2: 0003-Allow-building-on-Java-8.patch
find -name "module-info.java" -print -delete

# Use felix maven-bundle-plugin only for OSGi metadata
%pom_remove_plugin :bnd-maven-plugin gson
%pom_xpath_inject "pom:plugin[pom:artifactId='maven-bundle-plugin']" "<configuration>
    <instructions>
      <_include>bnd.bnd</_include>
    </instructions>
  </configuration>
  <executions>
    <execution>
      <id>create-manifest</id>
      <phase>process-classes</phase>
      <goals><goal>manifest</goal></goals>
    </execution>
  </executions>" gson

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license LICENSE
%doc README.md CHANGELOG.md UserGuide.md

%files javadoc  -f .mfiles-javadoc
%license LICENSE




%changelog
* Fri Sep 04 2020 daviddavid <daviddavid> 2.8.6-1.mga8
+ Revision: 1621553
- Update to version 2.8.6
- Remove unnecessary dependency on parent POM
- fixed javadoc to build on jdk11
- Rebuilt for JDK-11
- Add patch to prevent hard OSGi dep on 'sun.misc' package

* Fri Feb 14 2020 umeabot <umeabot> 2.8.2-2.mga8
+ Revision: 1519999
- Mageia 8 Mass Rebuild

* Wed Oct 31 2018 daviddavid <daviddavid> 2.8.2-1.mga7
+ Revision: 1326830
- new version: 2.8.2 (sync with fc29)

* Tue Sep 18 2018 umeabot <umeabot> 2.3.1-6.mga7
+ Revision: 1260973
- Mageia 7 Mass Rebuild

* Sun May 14 2017 neoclust <neoclust> 2.3.1-5.mga6
+ Revision: 1101331
- Skip default jar plugin execution to fix FTBFS

* Wed Mar 02 2016 neoclust <neoclust> 2.3.1-4.mga6
+ Revision: 981859
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 2.3.1-3.mga6
+ Revision: 976283
- First rebuild of the java stack
- sync package google-gson with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Thu Dec 25 2014 pterjan <pterjan> 2.2.4-6.mga5
+ Revision: 805781
- Clean rebuild
- Sync with Fedora 21
- Restore
+ sander85 <sander85>
- Depends on broken java stack

* Wed Oct 15 2014 umeabot <umeabot> 2.2.4-4.mga5
+ Revision: 750627
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 2.2.4-2.mga4
+ Revision: 545007
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 dmorgan <dmorgan> 2.2.4-1.mga4
+ Revision: 500606
- New version

* Thu Jul 11 2013 dmorgan <dmorgan> 2.2.2-1.mga4
+ Revision: 452941
- New version

* Sat Jan 12 2013 umeabot <umeabot> 2.2.1-2.mga3
+ Revision: 352452
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 12 2012 dmorgan <dmorgan> 2.2.1-1.mga3
+ Revision: 292692
- New version

* Tue Jul 19 2011 dmorgan <dmorgan> 1.7.1-3.mga2
+ Revision: 126853
- imported package google-gson


* Fri May 13 2011 Jaromir Capik <jcapik@redhat.com> - 1.7.1-3
- Removal of failing testInetAddressSerializationAndDeserialization

* Wed May 11 2011 Jaromir Capik <jcapik@redhat.com> - 1.7.1-2
- Conversion of CR+LF to LF in the license file

* Tue May 10 2011 Jaromir Capik <jcapik@redhat.com> - 1.7.1-1
- Initial version of the package
